<?php

return [
/*
* Provider .
*/
'provider'  => 'photo',

/*
* Package .
*/
'package'   => 'photo',

/*
* Modules .
*/
'modules'   => ['product', 
'product_item', 
'orders', 
'order_item'],

'product' => [
                    'Name'          => 'Product',
                    'name'          => 'product',
                    'table'         => 'products',
                    'model'         => 'Photo\Photo\Models\Product',
                    'image'         => [
                        'xs'        => ['width' => '60',         'height' => '45'],
                        'sm'        => ['width' => '100',        'height' => '75'],
                        'md'        => ['width' => '460',        'height' => '345'],
                        'lg'        => ['width' => '800',        'height' => '600'],
                        'xl'        => ['width' => '1000',       'height' => '750'],
                        ],

                    'fillable'          => ['user_id', 'name',  'description',  'product_type',  'expire_date'],
                    'listfields'        => ['id', 'name',  'description',  'product_type',  'expire_date'],
                    'translatable'      => ['name',  'description',  'product_type',  'expire_date'],

                    'upload-folder'     => '/uploads/photo/product',
                    'uploadable'        => [
                                                'single'    => [],
                                                'multiple'  => [],
                                            ],
                ],
'product_item' => [
                    'Name'          => 'ProductItem',
                    'name'          => 'product_item',
                    'table'         => 'product_items',
                    'model'         => 'Photo\Photo\Models\ProductItem',
                    'image'         => [
                        'xs'        => ['width' => '60',         'height' => '45'],
                        'sm'        => ['width' => '100',        'height' => '75'],
                        'md'        => ['width' => '460',        'height' => '345'],
                        'lg'        => ['width' => '800',        'height' => '600'],
                        'xl'        => ['width' => '1000',       'height' => '750'],
                        ],

                    'fillable'          => ['user_id', 'product_id',  'original_path',  'cropped_path',  'quantity',  'price',  'quality',  'crop_data',  'image_data'],
                    'listfields'        => ['id', 'product_id',  'original_path',  'cropped_path',  'quantity',  'price',  'quality',  'crop_data',  'image_data'],
                    'translatable'      => ['product_id',  'original_path',  'cropped_path',  'quantity',  'price',  'quality',  'crop_data',  'image_data'],

                    'upload-folder'     => '/uploads/photo/product_item',
                    'uploadable'        => [
                                                'single'    => [],
                                                'multiple'  => [],
                                            ],
                ],
'orders' => [
                    'Name'          => 'Orders',
                    'name'          => 'orders',
                    'table'         => 'orders',
                    'model'         => 'Photo\Photo\Models\Orders',
                    'image'         => [
                        'xs'        => ['width' => '60',         'height' => '45'],
                        'sm'        => ['width' => '100',        'height' => '75'],
                        'md'        => ['width' => '460',        'height' => '345'],
                        'lg'        => ['width' => '800',        'height' => '600'],
                        'xl'        => ['width' => '1000',       'height' => '750'],
                        ],

                    'fillable'          => ['user_id', 'number',  'address_id',  'total_price',  'total_photos',  'total_prints',  'status'],
                    'listfields'        => ['id', 'number',  'address_id',  'total_price',  'total_photos',  'total_prints',  'status'],
                    'translatable'      => ['number',  'address_id',  'total_price',  'total_photos',  'total_prints',  'status'],

                    'upload-folder'     => '/uploads/photo/orders',
                    'uploadable'        => [
                                                'single'    => [],
                                                'multiple'  => [],
                                            ],
                ],
'order_item' => [
                    'Name'          => 'OrderItem',
                    'name'          => 'order_item',
                    'table'         => 'order_items',
                    'model'         => 'Photo\Photo\Models\OrderItem',
                    'image'         => [
                        'xs'        => ['width' => '60',         'height' => '45'],
                        'sm'        => ['width' => '100',        'height' => '75'],
                        'md'        => ['width' => '460',        'height' => '345'],
                        'lg'        => ['width' => '800',        'height' => '600'],
                        'xl'        => ['width' => '1000',       'height' => '750'],
                        ],

                    'fillable'          => ['user_id', 'order_id',  'quantity',  'total'],
                    'listfields'        => ['id', 'order_id',  'quantity',  'total'],
                    'translatable'      => ['order_id',  'quantity',  'total'],

                    'upload-folder'     => '/uploads/photo/order_item',
                    'uploadable'        => [
                                                'single'    => [],
                                                'multiple'  => [],
                                            ],
                ],
];
