<?php

use Illuminate\Database\Migrations\Migration;

class CreateOrdersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: orders
         */
        Schema::create('orders', function ($table) {
            $table->increments('id');
            $table->string('number', 150)->nullable();
            $table->integer('address_id')->nullable();
            $table->integer('total_price')->nullable();
            $table->integer('total_photos')->nullable();
            $table->integer('total_prints')->nullable();
            $table->string('status', 100)->nullable();
            $table->string('slug', 100)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('orders');
    }
}
