<?php

use Illuminate\Database\Migrations\Migration;

class CreateProductItemsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: product_items
         */
        Schema::create('product_items', function ($table) {
            $table->increments('id');
            $table->integer('product_id')->nullable();
            $table->string('original_path', 255)->nullable();
            $table->string('cropped_path', 255)->nullable();
            $table->integer('quantity')->nullable();
            $table->integer('price')->nullable();
            $table->integer('quality')->nullable();
            $table->json('crop_data')->nullable();
            $table->json('image_data')->nullable();
            $table->string('slug', 100)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('product_items');
    }
}
