<?php

namespace Photo\Photo\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Photo\Photo\Interfaces\OrderItemRepositoryInterface;

class OrderItemPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Photo\OrderItem\Interfaces\OrderItemRepositoryInterface $order_item
     *
     * @return type
     */
    public function __construct(OrderItemRepositoryInterface $order_item)
    {
        $this->model = $order_item;
        parent::__construct();
    }

    /**
     * Show order_item's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $order_items = $this->model->all();

        return $this->theme->of('photo::public.order_item.index', compact('order_items'))->render();
    }

    /**
     * Show order_item.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $order_item = $this->model->findBySlug($slug);

        return $this->theme->of('photo::public.order_item.show', compact('order_item'))->render();
    }
}
