<?php

namespace Photo\Photo\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Photo\Photo\Interfaces\OrdersRepositoryInterface;

class OrdersPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Photo\Orders\Interfaces\OrdersRepositoryInterface $orders
     *
     * @return type
     */
    public function __construct(OrdersRepositoryInterface $orders)
    {
        $this->model = $orders;
        parent::__construct();
    }

    /**
     * Show orders's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $orders = $this->model->all();

        return $this->theme->of('photo::public.orders.index', compact('orders'))->render();
    }

    /**
     * Show orders.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $orders = $this->model->findBySlug($slug);

        return $this->theme->of('photo::public.orders.show', compact('orders'))->render();
    }
}
