<?php

namespace Photo\Photo\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Lavalite\Filer\FilerTrait;

class ProductItem extends Model
{
    use FilerTrait, SoftDeletes;

    protected $dates = ['deleted_at'];

    /**
     * Initialiaze page modal.
     *
     * @param $name
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Initialize the modal variables.
     *
     * @return void
     */
    public function initialize()
    {
        $this->fillable = config('photo.product_item.fillable');
        $this->uploads = config('photo.product_item.uploadable');
        $this->uploadRootFolder = config('photo.product_item.upload_root_folder');
        $this->table = config('photo.product_item.table');
    }
}
